import Copyright.Copyright;
import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

/**
 * This class is an applet which consists of a single button which actually launches the frame which
 * does all the work.
 * While this is an applet it can also be run as an application ('java AppletDisplayer')outside of a web browser.
 * @author Ziv Yaniv (zivy@isis.georgetown.edu)
 */
public class AppletDisplayer extends Applet {
    private Button b;
    private Frame f;
    private final int FRAME_WIDTH = 600;
    private final int FRAME_HEIGHT = 400;
    

    public void init() {
        b = new Button("Run Demo");
        b.addActionListener(new AppletDisplayerActionListener());
        add(b);
        f = new RigidRegistration2D();    //create the actual applet
        f.setSize(FRAME_WIDTH,FRAME_HEIGHT);
    }

    class AppletDisplayerActionListener implements ActionListener {
    public void actionPerformed(ActionEvent e) {
        f.setVisible(true);
        }
    }

    public static void main(String [] args) {
    final int WIDTH = 150;
    final int HEIGHT = 50;
    
    Frame f = new Frame();
    f.addWindowListener(new WindowAdapter() {
        public void windowClosing(WindowEvent e) {
            System.exit(0);
        }
        });
    Applet a = new AppletDisplayer();
    f.add(a,BorderLayout.CENTER);
    f.setSize(WIDTH,HEIGHT);
    a.init();
    a.start();
    f.setVisible(true);
    }
}
