import Copyright.Copyright;
/**
 * Class representing a 2D Euclidean (rigid) transformation [R;t].
 * @author Ziv Yaniv (zivy@isis.georgetown.edu)
 */
public class EuclideanTransformation2D {
    private float dx, dy;
    private float sTheta, cTheta;

    public EuclideanTransformation2D(float dx, float dy, 
                     float angle, boolean angleInRadians) {
    this.dx = dx;
    this.dy = dy;
    sTheta = angleInRadians ? (float)Math.sin(Math.toRadians(angle)) :
                              (float)Math.sin(angle);
    cTheta = angleInRadians ? (float)Math.cos(Math.toRadians(angle)) :
                              (float)Math.cos(angle);
    }
    public void apply(Point2D pnt) {
    float newX = dx + cTheta*pnt.x - sTheta*pnt.y;
    float newY = dy + sTheta*pnt.x + cTheta*pnt.y;
    pnt.setLocation(newX,newY);
    }
}
