import Copyright.Copyright;
import java.io.Serializable;

/**
 * A pair of matched points, one from each point set.
 * @author Ziv Yaniv (zivy@georgetown.edu)
 */
public class PointPair implements Serializable {
    public Point2D first;
    public Point2D second;
    /**
     * target == true, point is target and will not be used for registration.
     * target == false, point is a fiducial and will be used for registration.
     */
    public boolean target; 

    public PointPair(Point2D first, Point2D second) {
    this.first = first;
    this.second = second;
    }
    public PointPair(PointPair other) {
    this.first = new Point2D(other.first);
    this.second = new Point2D(other.second);
    }
}
